#include<bits/stdc++.h>
using namespace std;
vector<int> h;
signed main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    int n, l; cin >> n >> l;
    h = vector<int>(n+1);
    for(int i = 1; i <= n; i++) cin >> h[i];

    int s = 1;
    while(s <= n && h[s] > l) s++;


    if(s > n) s = -1;
    cout << s << '\n';
    return 0;
}